Bug 50736 - Upgrade fails if fstab incorrect
Upgrade fails if fstab incorrect
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-02 14:51 EDT by Kevin - The Alchemist - Sonney
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-02 14:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin - The Alchemist - Sonney 2001-08-02 14:51:17 EDT
The roswell beta installer will exit if a moutnpoint in the target
/etc/fstab is incorrect, or non-existant. 

In the case of this test, /dev/hda6 at /mnt/test was defined as reiserfs,
and actually existed as 

Anaconda exited with the message that the partition was unformatted or
inaccessable. The only option was to exit the  installer.

This is less than intuitive, I think, and the option should be give to go
back or format the partiion before the installer exits.
Comment 1 Michael Fulbright 2001-08-03 11:53:49 EDT
On upgrades we are very picky because we do not want to inadvertantly upgrade
the wrong installation, or a misconfigured one, as this case was. That can lead
to bigger problems. We notify the user of a problem so they can rectify it
before we attempt the upgrade process.

Note You need to log in before you can comment on or make changes to this bug.